Skip to navigation

Retrieve a Card User

Return the details of a specific Card User.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

cardUserIdstringRequired<=38 characters
A unique ID that is created for the Card User.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
cardUserIdstring<=38 characters
A unique ID that is created for the Card User.
buyerIdstring<=36 characters
A unique Buyer ID that is created during the Buyer enrollment.
nameobject
The name of the Card User.
dateOfBirthstring

The Date of Birth of the Card User in YYYY-MM-DD format.

emaillist of objects

The email of the Card User; currently supports only one email.

phonelist of objects

The phone details of the Card User; currently supports only one phone.

addresslist of objects

The residential address of the Card User; currently supports only one address with the type RESIDENCE. P.O. boxes or commercial mail-receiving agencies are prohibited. The address will be validated using the USPS address validation API.

statusenum

The status of the Card User. A Card User may have any of the following statuses:

  • ACTIVATED indicates that the Card User has been successfully verified and can be assigned Virtual Cards.

  • VERIFICATION_PENDING indicates that the Card User is under review and additional information is required to complete the Card User's verification.

  • VERIFICATION_FAILED indicates that American Express was unable to successfully verify the Card User, and hence Virtual Cards cannot be assigned to the User.

  • DEACTIVATED indicates that the Card User was deactivated by the Buyer and cannot be assigned Virtual Cards.

Allowed values:
expressConsentObtainedboolean
The Card User's consent to send their PII to American Express for verification.
dateCreatedstring

The date on which the Card User was created in YYYY-MM-DD format.

employeeIdstringOptional<=20 characters
The unique ID assigned by the Buyer resource to the Card User being enrolled. Alphabetic characters, spaces and numbers are allowed.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error